
From: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>

This patch has added TANBAC VR4131 multichip module in arch/mips/Kconfig

Signed-off-by: Yoichi Yuasa <yuasa@hh.iij4u.or.jp>
Cc: Ralf Baechle <ralf@linux-mips.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/mips/Kconfig    |   30 +++++++++++++++++-------------
 arch/mips/Makefile   |    9 ++-------
 drivers/char/Kconfig |    5 +++--
 3 files changed, 22 insertions(+), 22 deletions(-)

diff -puN arch/mips/Kconfig~mips-add-tanbac-vr4131-multichip-module arch/mips/Kconfig
--- 25/arch/mips/Kconfig~mips-add-tanbac-vr4131-multichip-module	Wed Aug 17 13:55:52 2005
+++ 25-akpm/arch/mips/Kconfig	Wed Aug 17 13:55:52 2005
@@ -102,25 +102,29 @@ config IBM_WORKPAD
 	select IRQ_CPU
 	select ISA
 
-config TANBAC_TB0226
-	bool "Support for TANBAC TB0226 (Mbase)"
+config TANBAC_TB022X
+	bool "Support for TANBAC VR4131 multichip module and TANBAC VR4131DIMM"
 	depends on MACH_VR41XX
+	select CPU_LITTLE_ENDIAN
 	select DMA_NONCOHERENT
-	select HW_HAS_PCI
 	select IRQ_CPU
+	select HW_HAS_PCI
 	help
-	  The TANBAC TB0226 (Mbase) is a MIPS-based platform manufactured by TANBAC.
-	  Please refer to <http://www.tanbac.co.jp/> about Mbase.
+	  The TANBAC VR4131 multichip module(TB0225) and
+	  the TANBAC VR4131DIMM(TB0229) are MIPS-based platforms
+	  manufactured by TANBAC.
+	  Please refer to <http://www.tanbac.co.jp/>
+	  about VR4131 multichip module and VR4131DIMM.
 
-config TANBAC_TB0229
-	bool "Support for TANBAC TB0229 (VR4131DIMM)"
-	depends on MACH_VR41XX
-	select DMA_NONCOHERENT
-	select HW_HAS_PCI
-	select IRQ_CPU
+config TANBAC_TB0226
+	bool "Support for TANBAC Mbase(TB0226)"
+	depends on TANBAC_TB022X
+	select PCI
+	select PCI_VR41XX
+	select GPIO_VR41XX
 	help
-	  The TANBAC TB0229 (VR4131DIMM) is a MIPS-based platform manufactured by TANBAC.
-	  Please refer to <http://www.tanbac.co.jp/> about VR4131DIMM.
+	  The TANBAC Mbase(TB0226) is a MIPS-based platform manufactured by TANBAC.
+	  Please refer to <http://www.tanbac.co.jp/> about Mbase.
 
 config VICTOR_MPC30X
 	bool "Support for Victor MP-C303/304"
diff -puN arch/mips/Makefile~mips-add-tanbac-vr4131-multichip-module arch/mips/Makefile
--- 25/arch/mips/Makefile~mips-add-tanbac-vr4131-multichip-module	Wed Aug 17 13:55:52 2005
+++ 25-akpm/arch/mips/Makefile	Wed Aug 17 13:55:52 2005
@@ -509,14 +509,9 @@ core-$(CONFIG_CASIO_E55)	+= arch/mips/vr
 load-$(CONFIG_CASIO_E55)	+= 0xffffffff80004000
 
 #
-# TANBAC TB0226 Mbase (VR4131)
+# TANBAC VR4131 multichip module(TB0225) and TANBAC VR4131DIMM(TB0229) (VR4131)
 #
-load-$(CONFIG_TANBAC_TB0226)	+= 0xffffffff80000000
-
-#
-# TANBAC TB0229 VR4131DIMM (VR4131)
-#
-load-$(CONFIG_TANBAC_TB0229)	+= 0xffffffff80000000
+load-$(CONFIG_TANBAC_TB022X)	+= 0xffffffff80000000
 
 #
 # SGI IP22 (Indy/Indigo2)
diff -puN drivers/char/Kconfig~mips-add-tanbac-vr4131-multichip-module drivers/char/Kconfig
--- 25/drivers/char/Kconfig~mips-add-tanbac-vr4131-multichip-module	Wed Aug 17 13:55:52 2005
+++ 25-akpm/drivers/char/Kconfig	Wed Aug 17 13:55:52 2005
@@ -842,8 +842,9 @@ config SONYPI
 
 config TANBAC_TB0219
 	tristate "TANBAC TB0219 base board support"
-	depends TANBAC_TB0229
-
+	depends TANBAC_TB022X
+	select PCI
+	select PCI_VR41XX
 
 menu "Ftape, the floppy tape device driver"
 
_
